import type { ExtractPropTypes, PropType } from 'vue';
import type { BadgeType } from './interface';
export declare const Props: {
    /**
     *  display value.
     */
    readonly value: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    /**
     *  maximum value, shows `{max}+` when exceeded. Only works if value is a number.
     */
    readonly max: {
        readonly type: NumberConstructor;
        readonly default: 99;
    };
    /**
     *  if a little dot is displayed.
     */
    readonly dot: BooleanConstructor;
    /**
     *  hidden badge.
     */
    readonly hidden: BooleanConstructor;
    /**
     *  badge type.
     */
    readonly type: {
        readonly type: PropType<BadgeType>;
        readonly default: "error";
    };
};
export type BadgeProps = ExtractPropTypes<typeof Props>;
