import type { ExtractPropTypes, PropType } from 'vue';
import type { ColSize } from './interface';
export declare const Props: {
    /**
     * @description custom element tag
     */
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    /**
     * @description number of column the grid spans
     */
    readonly span: {
        readonly type: NumberConstructor;
        readonly default: 24;
    };
    /**
     * @description number of spacing on the left side of the grid
     */
    readonly offset: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * @description number of columns that grid moves to the left
     */
    readonly pull: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * @description number of columns that grid moves to the right
     */
    readonly push: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * @description `<768px` Responsive columns or column props object
     */
    readonly xs: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    /**
     * @description `≥768px` Responsive columns or column props object
     */
    readonly sm: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    /**
     * @description `≥992px` Responsive columns or column props object
     */
    readonly md: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    /**
     * @description `≥1200px` Responsive columns or column props object
     */
    readonly lg: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
    /**
     * @description `≥1920px` Responsive columns or column props object
     */
    readonly xl: {
        readonly type: PropType<ColSize>;
        readonly default: () => {};
    };
};
export type ColProps = ExtractPropTypes<typeof Props>;
