import type { ComponentSize, Theme } from '../..';
import type { Language } from '../../locale';
import type { DefineComponent, PropType, VNode, RendererNode, RendererElement, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import ConfigProvider from "./src/config-provider";
export declare const FzConfigProvider: Install<DefineComponent<{
    readonly locale: {
        readonly type: PropType<Language>;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "default";
    };
    readonly theme: {
        readonly type: PropType<Theme>;
        readonly default: "";
    };
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
}, () => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly locale: {
        readonly type: PropType<Language>;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "default";
    };
    readonly theme: {
        readonly type: PropType<Theme>;
        readonly default: "";
    };
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
}>>, {
    readonly size: ComponentSize;
    readonly theme: Theme;
    readonly zIndex: number;
}, {}>>;
export type ConfigProviderInstance = InstanceType<typeof ConfigProvider>;
export * from './src/interface';
export default FzConfigProvider;
