import type { ExtractPropTypes, PropType } from 'vue';
import type { ComponentSize } from '../../../types';
import type { Language } from '../../../locale';
import type { Theme } from '../../../hooks';
export declare const Props: {
    readonly locale: {
        readonly type: PropType<Language>;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "default";
    };
    readonly theme: {
        readonly type: PropType<Theme>;
        readonly default: "";
    };
    readonly zIndex: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
};
export type ConfigProviderProps = ExtractPropTypes<typeof Props>;
