import type { ExtractPropTypes, PropType } from 'vue';
import type { Danmu } from './interface';
export declare const Props: {
    /**
     * 弹幕列表数据
     */
    readonly danmus: {
        readonly type: PropType<Danmu[]>;
        readonly required: true;
        readonly default: () => never[];
    };
    /**
     * 轨道数量，0为最大轨道数量（撑满容器）
     */
    readonly channels: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * 是否自动播放
     */
    readonly autoplay: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    /**
     * 是否隐藏
     */
    readonly hidden: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * 是否循环播放
     */
    readonly loop: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * 是否开启弹幕插槽，默认否
     */
    readonly useSlot: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * 弹幕刷新频率(ms)
     */
    readonly debounce: {
        readonly type: NumberConstructor;
        readonly default: 100;
    };
    /**
     * 弹幕速度（像素/秒）
     */
    readonly speeds: {
        readonly type: NumberConstructor;
        readonly default: 200;
    };
    /**
     * 是否开启随机轨道注入弹幕
     */
    readonly randomChannel: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * 弹幕字号（仅文本模式）
     */
    readonly fontSize: {
        readonly type: NumberConstructor;
        readonly default: 18;
    };
    /**
     * 弹幕垂直间距
     */
    readonly top: {
        readonly type: NumberConstructor;
        readonly default: 4;
    };
    /**
     * 弹幕水平间距
     */
    readonly right: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * 是否开启悬浮暂停
     */
    readonly isSuspend: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    /**
     * 弹幕额外样式
     */
    readonly extraStyle: {
        readonly type: StringConstructor;
        readonly default: "";
    };
};
export declare const Emits: string[];
export type DanmakuProps = ExtractPropTypes<typeof Props>;
