import type { ComponentSize, IconSlotType } from '../..';
import type { InputType } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Input from "./src/input";
export declare const FzInput: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<InputType>;
        readonly default: "text";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
    };
    readonly maxlength: {
        readonly type: NumberConstructor;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
    };
    readonly search: {
        readonly type: BooleanConstructor;
    };
    readonly showPassword: {
        readonly type: BooleanConstructor;
    };
    readonly suffixIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly prefixIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly tabindex: {
        readonly type: PropType<string | number>;
        readonly default: 0;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    input: (value: string | number) => boolean;
    change: (value: string | number) => boolean;
    focus: (evt: FocusEvent) => boolean;
    blur: (evt: FocusEvent) => boolean;
    search: (value: string | number, evt: MouseEvent | KeyboardEvent) => boolean;
    clear: () => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly type: {
        readonly type: PropType<InputType>;
        readonly default: "text";
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    readonly readonly: {
        readonly type: BooleanConstructor;
    };
    readonly maxlength: {
        readonly type: NumberConstructor;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
    };
    readonly clearable: {
        readonly type: BooleanConstructor;
    };
    readonly search: {
        readonly type: BooleanConstructor;
    };
    readonly showPassword: {
        readonly type: BooleanConstructor;
    };
    readonly suffixIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly prefixIcon: {
        readonly type: PropType<IconSlotType>;
    };
    readonly tabindex: {
        readonly type: PropType<string | number>;
        readonly default: 0;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
}>> & {
    onChange?: ((value: string | number) => any) | undefined;
    onInput?: ((value: string | number) => any) | undefined;
    onSearch?: ((value: string | number, evt: MouseEvent | KeyboardEvent) => any) | undefined;
    onFocus?: ((evt: FocusEvent) => any) | undefined;
    onBlur?: ((evt: FocusEvent) => any) | undefined;
    onClear?: (() => any) | undefined;
}, {
    readonly type: InputType;
    readonly disabled: boolean;
    readonly autofocus: boolean;
    readonly search: boolean;
    readonly modelValue: string | number;
    readonly tabindex: string | number;
    readonly label: string;
    readonly clearable: boolean;
    readonly readonly: boolean;
    readonly showPassword: boolean;
    readonly autocomplete: string;
}, {}>>;
export type InputInstance = InstanceType<typeof Input>;
export * from './src/interface';
export default FzInput;
