import type { ExtractPropTypes, PropType } from 'vue';
import type { LinkType } from './interface';
import type { IconSlotType } from '../../../types';
export declare const Props: {
    /**
   * 类型
   */
    readonly type: {
        readonly type: PropType<LinkType>;
        readonly default: "default";
    };
    /**
     * 是否下划线
     */
    readonly underline: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    /**
     * 是否禁用
     */
    readonly disabled: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * 和原生 ‘href’ 属性一致
     */
    readonly href: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    /**
     * 图表
     */
    readonly icon: {
        readonly type: PropType<IconSlotType>;
    };
};
export type LinkProps = ExtractPropTypes<typeof Props>;
