import type { ComponentSize } from '../../..';
import type { CSSProperties, ExtractPropTypes, PropType } from 'vue';
import type { NumberAnimateType } from './interface';
export declare const Props: {
    /** 开始的动画数字 */
    readonly from: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /** 结束的动画数字 */
    readonly to: {
        readonly type: NumberConstructor;
    };
    /** 尺寸 */
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    /** 类型 */
    readonly type: {
        readonly type: PropType<NumberAnimateType>;
        readonly default: "";
    };
    /**
     * 执行动画结束的大概时间
     *
     * 准确时间由浏览器的下一侦渲染决定
     */
    readonly duration: {
        readonly type: NumberConstructor;
        readonly default: 2000;
    };
    /** 对数字决定金额格式化 */
    readonly formatter: BooleanConstructor;
    /** 样式列表 */
    readonly styles: {
        readonly type: PropType<CSSProperties>;
    };
    /** 是否初始化自动播放 */
    readonly automatic: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
};
export declare const Emits: {
    /** 动画结束触发函数 */
    end: (elapsed: number) => elapsed is number;
};
export type NumberAnimateProps = ExtractPropTypes<typeof Props>;
