import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { RadioModelValue } from '../../radio';
export declare const Props: {
    /** 绑定值 */
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    /** 是否纵向排列 */
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    /** 横向排列的间距 */
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    /** 纵向排列的间距 */
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
    /** 背景状态 */
    readonly background: {
        readonly type: BooleanConstructor;
    };
    /** 尺寸 */
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    /** 是否禁用 */
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
};
export type RadioGroupProps = ExtractPropTypes<typeof Props>;
