import type { ExtractPropTypes, PropType, StyleValue } from 'vue';
export declare const Props: {
    /**
     * @description height of scrollbar
     */
    readonly height: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    /**
     * @description max height of scrollbar
     */
    readonly maxHeight: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    /**
     * @description whether to use the native scrollbar
     */
    readonly native: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     * @description style of wrap
     */
    readonly wrapStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    /**
     * @description class of wrap
     */
    readonly wrapClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    /**
     * @description class of view
     */
    readonly viewClass: {
        readonly type: PropType<string | string[]>;
        readonly default: "";
    };
    /**
     * @description style of view
     */
    readonly viewStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: "";
    };
    /**
     * @description do not respond to container size changes, if the container size does not change, it is better to set it to optimize performance
     */
    readonly noresize: BooleanConstructor;
    /**
     * @description element tag of the view
     */
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    /**
     * @description always show
     */
    readonly always: BooleanConstructor;
    /**
     * @description minimum size of scrollbar
     */
    readonly minSize: {
        readonly type: NumberConstructor;
        readonly default: 20;
    };
    /**
     * @description id of view
     */
    readonly id: StringConstructor;
    /**
     * @description role of view
     */
    readonly role: StringConstructor;
    /**
     * @description aria-label of view
     */
    readonly ariaLabel: StringConstructor;
    /**
     * @description aria-orientation of view
     */
    readonly ariaOrientation: {
        readonly type: PropType<"horizontal" | "vertical">;
    };
};
export declare const Emits: {
    scroll: ({ scrollTop, scrollLeft }: {
        scrollTop: number;
        scrollLeft: number;
    }) => boolean;
};
export type ScrollbarProps = ExtractPropTypes<typeof Props>;
