import type { TextareaResize, TextareaAutoSize } from './src/interface';
import type { DefineComponent, PropType, StyleValue, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Textarea from "./src/textarea";
export declare const FzTextarea: Install<DefineComponent<{
    readonly modelValue: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly resize: {
        readonly type: PropType<TextareaResize>;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly maxlength: {
        readonly type: NumberConstructor;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
    };
    readonly disabled: BooleanConstructor;
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly textareaStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: () => StyleValue;
    };
    readonly tabindex: {
        readonly type: PropType<string | number>;
        readonly default: 0;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly formatter: {
        readonly type: FunctionConstructor;
    };
    readonly parser: {
        readonly type: FunctionConstructor;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autosize: {
        readonly type: PropType<TextareaAutoSize>;
        readonly default: false;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:modelValue" | "change" | "input" | "focus" | "blur" | "clear" | "keydown")[], "update:modelValue" | "change" | "input" | "focus" | "blur" | "clear" | "keydown", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly modelValue: {
        readonly type: PropType<string | number>;
        readonly default: "";
    };
    readonly resize: {
        readonly type: PropType<TextareaResize>;
    };
    readonly autocomplete: {
        readonly type: StringConstructor;
        readonly default: "off";
    };
    readonly maxlength: {
        readonly type: NumberConstructor;
    };
    readonly placeholder: {
        readonly type: StringConstructor;
    };
    readonly disabled: BooleanConstructor;
    readonly readonly: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly textareaStyle: {
        readonly type: PropType<StyleValue>;
        readonly default: () => StyleValue;
    };
    readonly tabindex: {
        readonly type: PropType<string | number>;
        readonly default: 0;
    };
    readonly label: {
        readonly type: StringConstructor;
        readonly default: undefined;
    };
    readonly formatter: {
        readonly type: FunctionConstructor;
    };
    readonly parser: {
        readonly type: FunctionConstructor;
    };
    readonly autofocus: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly autosize: {
        readonly type: PropType<TextareaAutoSize>;
        readonly default: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    onKeydown?: ((...args: any[]) => any) | undefined;
}, {
    readonly disabled: boolean;
    readonly autofocus: boolean;
    readonly modelValue: string | number;
    readonly tabindex: string | number;
    readonly label: string;
    readonly readonly: boolean;
    readonly autocomplete: string;
    readonly textareaStyle: StyleValue;
    readonly autosize: TextareaAutoSize;
}, {}>>;
export type TextareaInstance = InstanceType<typeof Textarea>;
export * from './src/interface';
export default FzTextarea;
