import type { ComputedRef, Ref, SetupContext, UnwrapRef } from 'vue';
type RuleItem = any;
type ValidateError = any;
type ValidateFieldsError = any;
type FormItemProps = any;
type FormProps = any;
type FormEmits = any;
type FormItemProp = any;
type FormLabelWidthContext = any;
import type { Arrayable, ComponentSize } from '../types';
export interface FormItemRule extends RuleItem {
    trigger?: Arrayable<string>;
}
export type FormRules = Partial<Record<string, Arrayable<FormItemRule>>>;
export type FormValidationResult = Promise<boolean>;
export type FormValidateCallback = (isValid: boolean, invalidFields?: ValidateFieldsError) => void;
export interface FormValidateFailure {
    errors: ValidateError[] | null;
    fields: ValidateFieldsError;
}
export interface FzFormItemContext extends FormItemProps {
    $el?: HTMLDivElement;
    size?: ComponentSize;
    validateState: string;
    isGroup: boolean;
    labelId: string;
    inputIds: string[];
    addInputId: (id: string) => void;
    removeInputId: (id: string) => void;
    validate: (trigger: string, callback?: FormValidateCallback) => FormValidationResult;
    resetField: () => void;
    clearValidate: () => void;
}
export type FzFormContext = FormProps & UnwrapRef<FormLabelWidthContext> & {
    emit: SetupContext<FormEmits>['emit'];
    addField: (field: FzFormItemContext) => void;
    removeField: (field: FzFormItemContext) => void;
    resetFields: (props?: Arrayable<FormItemProp>) => void;
    clearValidate: (props?: Arrayable<FormItemProp>) => void;
    validateField: (props?: Arrayable<FormItemProp>, callback?: FormValidateCallback) => FormValidationResult;
};
export declare const useForm: () => {
    form: any;
    formItem: FzFormItemContext | undefined;
};
export interface IUseFormItemInputCommonProps {
    id?: string;
    label?: string | number | boolean | Record<string, any>;
}
export declare const useFormItemInputId: (props: Partial<IUseFormItemInputCommonProps>, { formItemContext, disableIdGeneration, disableIdManagement }: {
    formItemContext?: FzFormItemContext | undefined;
    disableIdGeneration?: ComputedRef<boolean> | Ref<boolean> | undefined;
    disableIdManagement?: ComputedRef<boolean> | Ref<boolean> | undefined;
}) => {
    isLabeledByFormItem: ComputedRef<boolean>;
    inputId: Ref<string | undefined>;
};
export {};
