import type { MaybeRef } from '../types';
import type { Ref } from 'vue';
import type { Language } from '../locale';
export type TranslatorOption = Record<string, string | number>;
export type Translator = (path: string, option?: TranslatorOption) => string;
export interface LocaleContext {
    locale: Ref<Language>;
    lang: Ref<string>;
    t: Translator;
}
export declare const translate: (path: string, option: undefined | TranslatorOption, locale: Language) => string;
export declare const buildTranslator: (locale: MaybeRef<Language>) => Translator;
export declare const buildLocaleContext: (locale: MaybeRef<Language>) => LocaleContext;
export declare const useLocale: () => LocaleContext;
