import { PropType } from 'vue';
import type { Ref, ExtractPropTypes } from 'vue';
export declare const createModelToggleComposable: (name: string) => {
    useModelToggle: ({ indicator, shouldHideWhenRouteChanges, shouldProceed, onShow, onHide }: ModelToggleParams) => {
        hide: () => void;
        show: () => void;
        toggle: () => void;
    };
    useModelToggleProps: {
        [x: string]: {
            type: PropType<boolean | null>;
            default: null;
        } | {
            type: PropType<(val: boolean) => void>;
            default?: undefined;
        };
    };
    useModelToggleEmits: string[];
};
declare const useModelToggle: ({ indicator, shouldHideWhenRouteChanges, shouldProceed, onShow, onHide }: ModelToggleParams) => {
    hide: () => void;
    show: () => void;
    toggle: () => void;
}, useModelToggleProps: {
    [x: string]: {
        type: PropType<boolean | null>;
        default: null;
    } | {
        type: PropType<(val: boolean) => void>;
        default?: undefined;
    };
}, useModelToggleEmits: string[];
export type UseModelToggleProps = ExtractPropTypes<typeof useModelToggleProps>;
export type ModelToggleParams = {
    indicator: Ref<boolean>;
    shouldHideWhenRouteChanges?: Ref<boolean>;
    shouldProceed?: () => boolean;
    onShow?: () => void;
    onHide?: () => void;
};
export { useModelToggle, useModelToggleEmits, useModelToggleProps };
