import type { StyleValue } from 'vue';
export declare const defaultNamespace = "fz";
export interface Ns {
    namespace: string;
    /** 组件名称 */
    getName: () => string;
    b: (blockSuffix?: string) => string;
    e: (element?: string) => string;
    m: (modifier?: string) => string;
    be: (blockSuffix?: string, element?: string) => string;
    em: (element?: string, modifier?: string) => string;
    bm: (blockSuffix?: string, modifier?: string) => string;
    bem: (blockSuffix?: string, element?: string, modifier?: string) => string;
    is: {
        (name: string, state: boolean | undefined): string;
        (name: string): string;
    };
    cssVar: (object: Record<string, string>) => StyleValue;
    cssVarName: (name: string) => string;
    cssVarBlock: (object: Record<string, string>) => StyleValue;
    cssVarBlockName: (name: string) => string;
}
export declare const useNamespace: (block: string) => Ns;
export type UseNamespaceReturn = ReturnType<typeof useNamespace>;
