/**
 * lodash的get方法
 * @param source obj
 * @param path path
 * @param defaultValue 默认值
 * @returns 值
 */
export declare const get: (source: any, path: string, defaultValue: any) => any;
/**
 * The inverse of `toPairs`is method returns an object composed
 * from key-value `pairs`.
 *
 * @since 4.0.0
 * @category Array
 * @param {Array} pairs The key-value pairs.
 * @returns {Object} Returns the new object.
 * @example
 *
 * fromPairs([['a', 1], ['b', 2]])
 * // => { 'a': 1, 'b': 2 }
 */
export declare const fromPairs: (pairs: [string, any][]) => Record<string, any>;
/**
 * @vue/shared 的 camelize 方法
 * Camelize a hyphen-delimited string.
 */
export declare const camelize: (str: string) => string;
/**
 * 合并对象
 * @param a 对象a
 * @param b 对象b
 * @returns 合并后的对象
 */
export declare const merge: <T extends Record<string, any>>(a: T, b: T) => T;
