import { isNumber as t } from "../../../utils/lodash/index2.js";
const o = {
  /**
   * when enabling preview, use this flag to control whether clicking on backdrop can exit preview mode.
   */
  hideOnClickModal: Boolean,
  /**
   * image source, same as native.
   */
  src: {
    type: String,
    default: ""
  },
  /**
   * indicate how the image should be resized to fit its container, same as [object-fit](https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit).
   */
  fit: {
    type: String
  },
  /**
   * Indicates how the browser should load the image, same as [native](https://developer.mozilla.org/en-US/docs/Web/HTML/Element/img#attr-loading)
   */
  loading: {
    type: String
  },
  /**
   * whether to use lazy load.
   */
  lazy: Boolean,
  /**
   * the container to add scroll listener when using lazy load.
   */
  scrollContainer: {
    type: [String, Object]
  },
  /**
   * allow big image preview.
   */
  previewSrcList: {
    type: Array,
    default: () => []
  },
  /**
   * whether to append image-viewer to body. A nested parent element attribute transform should have this attribute set to `true`.
   */
  previewTeleported: Boolean,
  /**
   * set image preview z-index.
   */
  zIndex: {
    type: Number
  },
  /**
   * initial preview image index, less than the length of `url-list`.
   */
  initialIndex: {
    type: Number,
    default: 0
  },
  /**
   * whether the viewer preview is infinite.
   */
  infinite: {
    type: Boolean,
    default: !0
  },
  /**
   * whether the image-viewer can be closed by pressing ESC.
   */
  closeOnPressEscape: {
    type: Boolean,
    default: !0
  },
  /**
   * the zoom rate of the image viewer zoom event
   */
  zoomRate: {
    type: Number,
    default: 1.2
  },
  /**
   * the min scale of the image viewer zoom event.
   */
  minScale: {
    type: Number,
    default: 0.2
  },
  /**
   * the max scale of the image viewer zoom event.
   */
  maxScale: {
    type: Number,
    default: 7
  }
}, n = {
  load: (e) => e instanceof Event,
  error: (e) => e instanceof Event,
  switch: (e) => t(e),
  close: () => !0,
  show: () => !0
};
export {
  n as Emits,
  o as Props
};
