import { defineComponent as K, mergeModels as z, useSlots as M, useAttrs as R, useModel as A, shallowRef as D, ref as I, watchEffect as L, computed as O, openBlock as n, createElementBlock as d, normalizeClass as a, unref as o, renderSlot as v, createCommentVNode as u, createElementVNode as p, createBlock as f, withDirectives as G, mergeProps as H, withKeys as X, vModelDynamic as j, createVNode as q, toRefs as J, nextTick as Q } from "vue";
import { Props as W, Emits as Y } from "./index3.js";
import { FzSvgIcon as b } from "../../svg-icon/index.js";
import { FzButton as Z } from "../../button/index.js";
import { FzSwap as x } from "../../swap/index.js";
import _ from "../../../../fz-design-icon/src/icon-x/index.js";
import ee from "../../../../fz-design-icon/src/icon-eye/index.js";
import oe from "../../../../fz-design-icon/src/icon-eye-off/index.js";
import se from "../../../../fz-design-icon/src/icon-search/index.js";
import { useFormSize as ae } from "../../form/src/hooks/index.js";
import { useNamespace as le } from "../../../hooks/index24.js";
import { INPUT_EVENT as ne, CHANGE_EVENT as re, BLUR_EVENT as te, FOCUS_EVENT as ie } from "../../../constants/index.js";
const ue = ["type", "maxlength", "disabled", "readonly", "aria-label", "tabindex", "autofocus", "autocomplete", "placeholder", "onKeyup"];
var Ie = /* @__PURE__ */ K({
  name: "FzInput",
  __name: "input",
  props: z(W, {
    modelValue: {
      default: "",
      type: [String, Number]
    }
  }),
  emits: z(Y, ["update:modelValue"]),
  setup(w, { expose: C, emit: r }) {
    const l = w, s = le("input"), E = M(), N = R(), t = A(w, "modelValue"), c = D(), k = ae(l.size), S = () => {
      r(ne, t.value);
    }, g = () => {
      t.value = "", r("clear");
    }, B = () => {
      r(re, t.value);
    }, F = (e) => {
      r(te, e);
    }, T = (e) => {
      r(ie, e);
    }, m = I(!1), h = I(l.type);
    L(() => {
      h.value = l.type;
    });
    const V = (e) => {
      r("search", t.value, e);
    }, P = (e) => {
      const { search: i } = J(l);
      i.value && V(e);
    }, U = () => {
      h.value = m.value ? "text" : "password";
    }, $ = O(() => [
      s.b(),
      s.m(k.value),
      s.is("disabled", l.disabled),
      s.is("search", l.search),
      s.is("hidden", l.type === "hidden"),
      s.is("before", E.before),
      s.is("after", E.after || l.search)
    ]);
    return C({
      input: c,
      /**  HTML input element native method */
      focus: async () => {
        var e;
        await Q(), (e = c.value) == null || e.focus();
      },
      /**  HTML input element native method */
      blur: () => {
        var e;
        return (e = c.value) == null ? void 0 : e.blur();
      }
    }), (e, i) => (n(), d("div", {
      role: "input",
      class: a($.value)
    }, [
      e.$slots.before ? (n(), d("div", {
        key: 0,
        class: a(o(s).e("before"))
      }, [
        v(e.$slots, "before")
      ], 2)) : u("", !0),
      p("div", {
        class: a(o(s).e("wrapper"))
      }, [
        p("div", {
          class: a(o(s).e("prefix"))
        }, [
          e.prefixIcon ? (n(), f(o(b), {
            key: 0,
            class: a(o(s).e("prefix-icon")),
            icon: e.prefixIcon,
            size: 14
          }, null, 8, ["class", "icon"])) : u("", !0)
        ], 2),
        G(p("input", H({
          ref_key: "input",
          ref: c,
          "onUpdate:modelValue": i[0] || (i[0] = (y) => t.value = y)
        }, o(N), {
          class: o(s).e("inner"),
          type: h.value,
          maxlength: e.maxlength,
          disabled: e.disabled,
          readonly: e.readonly,
          "aria-label": e.label,
          tabindex: e.tabindex,
          autofocus: e.autofocus,
          autocomplete: e.autocomplete,
          placeholder: e.placeholder,
          onInput: S,
          onChange: B,
          onKeyup: X(P, ["enter"]),
          onBlur: F,
          onFocus: T
        }), null, 16, ue), [
          [j, t.value]
        ]),
        p("div", {
          class: a(o(s).e("suffix"))
        }, [
          e.clearable ? (n(), f(o(b), {
            key: 0,
            class: a(o(s).e("clear-icon")),
            icon: o(_),
            size: 14,
            onClick: g
          }, null, 8, ["class", "icon"])) : u("", !0),
          e.suffixIcon ? (n(), f(o(b), {
            key: 1,
            class: a(o(s).e("suffix-icon")),
            icon: e.suffixIcon,
            size: 14
          }, null, 8, ["class", "icon"])) : u("", !0),
          e.showPassword ? (n(), f(o(x), {
            key: 2,
            modelValue: m.value,
            "onUpdate:modelValue": i[1] || (i[1] = (y) => m.value = y),
            class: a(o(s).e("show-password")),
            type: "swap",
            "icon-on": o(ee),
            "icon-off": o(oe),
            size: 14,
            onChange: U
          }, null, 8, ["modelValue", "class", "icon-on", "icon-off"])) : u("", !0)
        ], 2)
      ], 2),
      e.$slots.after || e.search ? (n(), d("div", {
        key: 1,
        class: a(o(s).e("after"))
      }, [
        e.search ? (n(), d("div", {
          key: 0,
          class: a(o(s).e("search")),
          onClick: V
        }, [
          v(e.$slots, "searchBtn", {}, () => [
            q(o(Z), {
              type: "primary",
              icon: o(se),
              size: o(k)
            }, null, 8, ["icon", "size"])
          ])
        ], 2)) : v(e.$slots, "after", { key: 1 })
      ], 2)) : u("", !0)
    ], 2));
  }
});
export {
  Ie as default
};
