import { isVNode as e } from "vue";
import { isNumber as t, isString as i, isArray as n } from "../../../utils/lodash/index2.js";
const l = {
  /**
   *  Placement direction
   */
  direction: {
    type: String,
    default: "horizontal"
  },
  /**
   *  Classname
   */
  class: {
    type: [String, Object, Array],
    default: ""
  },
  /**
   *  Extra style rules
   */
  style: {
    type: [String, Array, Object],
    default: ""
  },
  /**
   *  Controls the alignment of items
   */
  alignment: {
    type: String,
    // AlignItemsProperty
    default: "center"
  },
  /**
   * Prefix for space-items
   */
  prefixCls: {
    type: String
  },
  /**
   *  Spacer
   */
  spacer: {
    type: [Object, String, Number, Array],
    default: null,
    validator: (r) => e(r) || t(r) || i(r)
  },
  /**
   *  Auto wrapping
   */
  wrap: Boolean,
  /**
   *  Whether to fill the container
   */
  fill: Boolean,
  /**
   *  Ratio of fill
   */
  fillRatio: {
    type: Number,
    default: 100
  },
  /**
   * Spacing size
   */
  size: {
    type: [String, Array, Number],
    validator: (r) => t(r) || n(r) && r.length === 2 && r.every(t)
  }
};
export {
  l as Props
};
