import { UPDATE_MODEL_EVENT as a, CHANGE_EVENT as o, INPUT_EVENT as r } from "../../../constants/index.js";
import { isBoolean as t, isString as i, isNumber as n } from "../../../utils/lodash/index2.js";
const u = {
  /**
   *  绑定值
   */
  modelValue: {
    type: [Boolean, String, Number],
    default: !1
  },
  /**
   *  是否禁用
   */
  disabled: {
    type: Boolean,
    default: !1
  },
  /**
   *  是否加载态
   */
  loading: {
    type: Boolean,
    default: !1
  },
  /**
   *  尺寸
   */
  size: {
    type: String
  },
  /**
   *  宽度
   */
  width: {
    type: [String, Number],
    default: ""
  },
  /**
   *  无论图标或文本是否显示在点内，只会呈现文本的第一个字符
   */
  inlinePrompt: {
    type: Boolean,
    default: !1
  },
  /**
   *  关闭时Icon
   */
  inactiveActionIcon: {
    type: Object
  },
  /**
   * 开启时Icon
   */
  activeActionIcon: {
    type: Object
  },
  /**
   * 开启时展示Icon，会覆盖`active-text`
   */
  activeIcon: {
    type: Object
  },
  /**
   * 关闭时展示Icon，会覆盖`inactive-text` 
   */
  inactiveIcon: {
    type: Object
  },
  /**
   *  开启时，展示文本
   */
  activeText: {
    type: String,
    default: ""
  },
  /**
   *  关闭时，展示文本
   */
  inactiveText: {
    type: String,
    default: ""
  },
  /**
   *  开启时的值
   */
  activeValue: {
    type: [Boolean, String, Number],
    default: !0
  },
  /**
   *  关闭时的值
   */
  inactiveValue: {
    type: [Boolean, String, Number],
    default: !1
  },
  /**
   *  原生input的name
   */
  name: {
    type: String,
    default: ""
  },
  /**
   *  是否触发form的校验事件
   */
  validateEvent: {
    type: Boolean,
    default: !0
  },
  /**
   *  switch 状态改变前的钩子， 返回 false 或者返回 Promise 且被 reject 则停止切换
   */
  beforeChange: {
    type: Function
  },
  /**
   *  id for input
   */
  id: String,
  /**
   *  tabindex for input
   */
  tabindex: {
    type: [String, Number]
  }
}, c = {
  [a]: (e) => t(e) || i(e) || n(e),
  [o]: (e) => t(e) || i(e) || n(e),
  [r]: (e) => t(e) || i(e) || n(e)
};
export {
  c as Emits,
  u as Props
};
