const e = {
  /** 绑定值 */
  modelValue: {
    type: [Number, String],
    default: ""
  },
  /**
   * control the resizability
   */
  resize: {
    type: String
  },
  /**
   * native input autocomplete
   */
  autocomplete: {
    type: String,
    default: "off"
  },
  /**
   * 最大输入长度
   *
   * @see maxlength https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input#attr-maxlength
   */
  maxlength: {
    type: Number
  },
  /**
   *  placeholder
   */
  placeholder: {
    type: String
  },
  /**
   *  native input readonly
   */
  /**
   *  whether to disable
   */
  disabled: Boolean,
  readonly: {
    type: Boolean,
    default: !1
  },
  textareaStyle: {
    type: Object,
    default: () => ({})
  },
  /**
   *  input tabindex
   */
  tabindex: {
    type: [String, Number],
    default: 0
  },
  /**
   *  native input aria-label
   */
  label: {
    type: String,
    default: void 0
  },
  /**
   *  format content
   */
  formatter: {
    type: Function
  },
  /**
   *  parse content
   */
  parser: {
    type: Function
  },
  /**
   *  native input autofocus
   */
  autofocus: {
    type: Boolean,
    default: !1
  },
  autosize: {
    type: [Boolean, Object],
    default: !1
  }
};
export {
  e as Props
};
