import type { CalendarProps } from '../props';
export interface GenerateCalendarItem {
    year: number;
    month: number;
    day: number;
    target: 'prev' | 'next' | 'current';
    lunarFestival?: string;
    festival?: string;
    term?: string;
    lunar?: string;
    constellation?: string;
}
/**
 * 日历组件 hook 返回值类型接口
 *
 * @param { Function } generateCalendar 日期集合
 */
export interface UseCalendarReturn {
    generateCalendar: (year: number, month: number) => GenerateCalendarItem[];
}
/**
 * 日历组件方法封装
 * @returns
 */
export declare const useCalendar: (prop: CalendarProps) => UseCalendarReturn;
