/**
 * Lunar 类返回值类型接口
 *
 * @param { string } festival 阳历节日
 * @param { string } lunarFestival 农历节日
 * @param { string } lunar 农历日期
 * @param { string } term 节气
 * @param { string } constellation 星座
 */
export interface GetLunarDetailReturn {
    festival: string;
    lunarFestival: string;
    lunar: string;
    term: string;
    constellation: string;
}
/**
 * 传入阳历年月日获得详细的信息
 *
 * @param { number } yPara 阳历年份
 * @param { number } mPara 阳历月份
 * @param { number } dPara 阳历日期
 */
export type UseLunarReturn = (yPara: number, mPara: number, dPara: number) => -1 | GetLunarDetailReturn;
/**
 * 农历方法
 *
 * @returns
 */
export declare const useLunar: () => UseLunarReturn;
