import type { ExtractPropTypes, PropType } from 'vue';
export declare const Props: {
    /** 绑定日期 */
    readonly date: {
        readonly type: DateConstructor;
        readonly default: () => Date;
        readonly required: true;
    };
    /** 是否显示农历或节日，仅支持 1900 ~ 2100 */
    readonly lunar: {
        readonly type: BooleanConstructor;
    };
    /** 是否隐藏头部 */
    readonly hiddenHeader: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /** 是否显示边框 */
    readonly border: {
        readonly type: BooleanConstructor;
    };
    /** 自定义边框颜色 */
    readonly borderColor: {
        readonly type: StringConstructor;
    };
    /** 日期单元格高度 */
    readonly dayCellHeight: {
        readonly type: PropType<string | number>;
    };
    /** 星期单元格高度 */
    readonly weekCellHeight: {
        readonly type: PropType<string | number>;
    };
};
export declare const Emits: {
    change: (year: number, month: number, date: number) => boolean;
};
export type CalendarProps = ExtractPropTypes<typeof Props>;
