import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { CheckboxLabel } from '../../checkbox';
export declare const Props: {
    /** 绑定值 */
    readonly modelValue: {
        readonly type: PropType<CheckboxLabel[]>;
    };
    /** 是否禁用 */
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    /** 是否纵向排列 */
    readonly vertical: {
        readonly type: BooleanConstructor;
    };
    /** label */
    readonly label: {
        readonly type: StringConstructor;
    };
    /** 是否显示边框 */
    readonly background: {
        readonly type: BooleanConstructor;
    };
    /**
     * 尺寸
     */
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    /** 横向排列的间距 */
    readonly columnGap: {
        readonly type: PropType<string | number>;
    };
    /** 纵向排列的间距 */
    readonly rowGap: {
        readonly type: PropType<string | number>;
    };
};
export type CheckboxGroupProps = ExtractPropTypes<typeof Props>;
