import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { CheckboxLabel, CheckboxModelValue } from './interface';
export declare const Props: {
    /** 绑定值 */
    readonly modelValue: {
        readonly type: PropType<CheckboxModelValue>;
        readonly default: () => boolean;
    };
    /** label 绑定值 */
    readonly label: {
        readonly type: PropType<CheckboxLabel>;
        readonly default: () => null;
    };
    /** 是否禁用 */
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    /** 是否展示边框 */
    readonly border: {
        readonly type: BooleanConstructor;
    };
    /** 是否展示 label */
    readonly showLabel: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
};
export type CheckboxProps = ExtractPropTypes<typeof Props>;
