import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import ImagePreview from "./src/image-preview";
export declare const FzImagePreview: Install<DefineComponent<{
    readonly urlList: {
        readonly type: PropType<string[]>;
        readonly default: () => readonly [];
    };
    readonly zIndex: {
        readonly type: NumberConstructor;
    };
    readonly initialIndex: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly infinite: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly hideOnClickModal: BooleanConstructor;
    readonly teleported: BooleanConstructor;
    readonly closeOnPressEscape: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly zoomRate: {
        readonly type: NumberConstructor;
        readonly default: 1.2;
    };
    readonly minScale: {
        readonly type: NumberConstructor;
        readonly default: 0.2;
    };
    readonly maxScale: {
        readonly type: NumberConstructor;
        readonly default: 7;
    };
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    close: () => boolean;
    switch: (index: number) => boolean;
    rotate: (deg: number) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly urlList: {
        readonly type: PropType<string[]>;
        readonly default: () => readonly [];
    };
    readonly zIndex: {
        readonly type: NumberConstructor;
    };
    readonly initialIndex: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly infinite: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly hideOnClickModal: BooleanConstructor;
    readonly teleported: BooleanConstructor;
    readonly closeOnPressEscape: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly zoomRate: {
        readonly type: NumberConstructor;
        readonly default: 1.2;
    };
    readonly minScale: {
        readonly type: NumberConstructor;
        readonly default: 0.2;
    };
    readonly maxScale: {
        readonly type: NumberConstructor;
        readonly default: 7;
    };
}>> & {
    onClose?: (() => any) | undefined;
    onSwitch?: ((index: number) => any) | undefined;
    onRotate?: ((deg: number) => any) | undefined;
}, {
    readonly infinite: boolean;
    readonly hideOnClickModal: boolean;
    readonly initialIndex: number;
    readonly closeOnPressEscape: boolean;
    readonly zoomRate: number;
    readonly minScale: number;
    readonly maxScale: number;
    readonly urlList: string[];
    readonly teleported: boolean;
}, {}>>;
export type ImagePreviewInstance = InstanceType<typeof ImagePreview>;
export * from './src/interface';
export default FzImagePreview;
