import type { CSSProperties, ComputedRef, Ref } from 'vue';
import type { MessageProps } from '../interface';
import type { Ns } from '../../../../hooks';
import type { NotificationProps } from '../../../notification';
export interface UseMessageWorkReturn {
    classList: ComputedRef<(string | Record<string, unknown>)[]>;
    styleList: ComputedRef<CSSProperties>;
    visible: Ref<boolean>;
    isPosition: ComputedRef<boolean>;
    offsetStyle: ComputedRef<CSSProperties>;
    offsetVal: Ref<number>;
    ns: Ns;
    onBeforeLeave: () => void;
    onAfterLeave: () => void;
    clearTimer: () => void;
    startTime: () => void;
    handelClose: () => void;
}
/**
 * message 和 notification 组件内部工作方法封装
 *
 * @param { Object } prop 参数
 * @param { string } name 组件名
 * @returns { Object }
 */
export declare const useMessageWork: (prop: MessageProps | NotificationProps, name: 'message' | 'notification') => UseMessageWorkReturn;
