import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { RadioModelValue } from './interface';
export declare const Props: {
    /** 绑定值 */
    readonly modelValue: {
        readonly type: PropType<RadioModelValue>;
        readonly default: () => null;
    };
    /**是否禁用 */
    readonly disabled: {
        readonly type: BooleanConstructor;
    };
    /**尺寸 */
    readonly size: {
        readonly type: PropType<ComponentSize>;
    };
    /**
     * 原生 name
     *
     * @see name https://developer.mozilla.org/zh-CN/docs/Web/HTML/Element/Input#attr-name
     */
    readonly name: {
        readonly type: StringConstructor;
    };
    /** 选框对应的值 */
    readonly label: {
        readonly type: PropType<RadioModelValue>;
        readonly default: null;
    };
};
export type RadioProps = ExtractPropTypes<typeof Props>;
