import type { ExtractPropTypes, PropType } from 'vue';
import type { RowAlign, RowJustify } from './interface';
export declare const Props: {
    /**
     * @description custom element tag
     */
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "div";
    };
    /**
     * @description grid spacing
     */
    readonly gutter: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    /**
     * @description horizontal alignment of flex layout
     */
    readonly justify: {
        readonly type: PropType<RowJustify>;
        readonly default: "start";
    };
    /**
     * @description vertical alignment of flex layout
     */
    readonly align: {
        readonly type: PropType<RowAlign>;
    };
};
export type RowProps = ExtractPropTypes<typeof Props>;
