import type { ComponentSize } from '../..';
import type { TagType, TagTheme } from './src/interface';
import type { DefineComponent, PropType, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, ExtractPropTypes } from 'vue';
import type { Install } from '../../utils';
import Tag from "./src/tag";
export declare const FzTag: Install<DefineComponent<{
    readonly type: {
        readonly type: PropType<TagType>;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly effect: {
        readonly type: PropType<TagTheme>;
        readonly default: "light";
    };
    readonly closable: BooleanConstructor;
    readonly disableTransitions: BooleanConstructor;
    readonly hit: BooleanConstructor;
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly round: BooleanConstructor;
}, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    close: (evt: MouseEvent) => boolean;
    click: (evt: MouseEvent) => boolean;
}, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly type: {
        readonly type: PropType<TagType>;
    };
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    readonly effect: {
        readonly type: PropType<TagTheme>;
        readonly default: "light";
    };
    readonly closable: BooleanConstructor;
    readonly disableTransitions: BooleanConstructor;
    readonly hit: BooleanConstructor;
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly round: BooleanConstructor;
}>> & {
    onClick?: ((evt: MouseEvent) => any) | undefined;
    onClose?: ((evt: MouseEvent) => any) | undefined;
}, {
    readonly size: ComponentSize;
    readonly round: boolean;
    readonly color: string;
    readonly effect: TagTheme;
    readonly closable: boolean;
    readonly disableTransitions: boolean;
    readonly hit: boolean;
}, {}>>;
export type TagInstance = InstanceType<typeof Tag>;
export * from './src/interface';
export default FzTag;
