import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { TagTheme, TagType } from './interface';
export declare const Props: {
    /**
     *  type of Tag
     */
    readonly type: {
        readonly type: PropType<TagType>;
    };
    /**
     *  size of Tag
     */
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    /**
     *  theme of Tag
     */
    readonly effect: {
        readonly type: PropType<TagTheme>;
        readonly default: "light";
    };
    /**
     *  whether Tag can be removed
     */
    readonly closable: BooleanConstructor;
    /**
     *  whether to disable animations
     */
    readonly disableTransitions: BooleanConstructor;
    /**
     *  whether Tag has a highlighted border
     */
    readonly hit: BooleanConstructor;
    /**
     *  background color of the Tag
     */
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    /**
     *  whether Tag is rounded
     */
    readonly round: BooleanConstructor;
};
export declare const Emits: {
    close: (evt: MouseEvent) => boolean;
    click: (evt: MouseEvent) => boolean;
};
export type TagProps = ExtractPropTypes<typeof Props>;
