import type { ComponentSize } from '../../..';
import type { ExtractPropTypes, PropType } from 'vue';
import type { TextType } from './interface';
export declare const Props: {
    /**
     *  text type
     */
    readonly type: {
        readonly type: PropType<TextType>;
        readonly default: "";
    };
    /**
     *  text size
     */
    readonly size: {
        readonly type: PropType<ComponentSize>;
        readonly default: "";
    };
    /**
     * ellipsis
     */
    readonly ellipsis: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    /**
     *  maximum lines
     */
    readonly lineClamp: {
        readonly type: PropType<string | number>;
    };
    /**
     *  custom element tag
     */
    readonly tag: {
        readonly type: StringConstructor;
        readonly default: "span";
    };
};
export type TextProps = ExtractPropTypes<typeof Props>;
