import type { Ref } from 'vue';
type ForwardRefSetter = <T>(el: T) => void;
export type ForwardRefInjectionContext = {
    setForwardRef: ForwardRefSetter;
};
export declare const useForwardRef: <T>(forwardRef: Ref<T | null>) => void;
export declare const useForwardRefDirective: <T>(setForwardRef: ForwardRefSetter) => {
    mounted(el: T): void;
    updated(el: T): void;
    unmounted(): void;
};
export {};
