export declare const isClient: boolean;
export declare const isFirefox: () => boolean;
/**
 * 检测一个值是否为指定的类型
 *
 * @param { * } value 要检测的值
 * @param { string } type 预期类型
 * @returns { boolean } 这个值是否为传入的类型
 */
export declare const is: (value: unknown, type: string) => boolean;
export declare const isBoolean: (val: unknown) => boolean;
export declare const isNumber: (val: unknown) => val is number;
export declare const isUndefined: (val: unknown) => val is undefined;
export declare const isMap: (val: unknown) => val is Map<unknown, unknown>;
export declare const isSet: (val: unknown) => val is Set<unknown>;
export declare const isDate: (val: unknown) => val is Date;
export declare const isRegExp: (val: unknown) => val is RegExp;
export declare const isString: (val: unknown) => val is string;
export declare const isSymbol: (val: unknown) => val is Symbol;
export declare const isObject: (val: unknown) => val is Record<string | number | symbol, unknown>;
export declare const isFunction: (val: unknown) => boolean;
export declare const isNull: (val: unknown) => boolean;
export declare const isNil: (val: unknown) => val is any;
export declare const hasOwn: (val: object, key: string | symbol) => boolean;
export declare const isArray: (arg: any) => arg is any[];
export declare const isPromise: <T = unknown>(val: unknown) => val is Promise<T>;
export declare const isElement: (e: unknown) => e is Element;
