export declare const on: (element: HTMLElement | Document | Window, event: string, handler: (args: any) => void, useCapture?: boolean) => void;
export declare const off: (element: HTMLElement | Document | Window, event: string, handler: (args: any) => void, useCapture?: boolean) => void;
export declare const stop: (e: Event) => void;
/**
 * 处理自动带上单位 px
 * @param value string/number
 * @returns 带单位的字符串
 */
export declare function addUnit(value?: string | number, unit?: string): string;
export declare const getStyle: (element: HTMLElement, styleName: any) => string;
export declare const isScroll: (el: HTMLElement, isVertical?: boolean) => boolean;
export declare const getScrollContainer: (el: HTMLElement, isVertical?: boolean) => HTMLElement | undefined;
export declare const hasClass: (el: Element, cls: string) => boolean;
export declare function addClass(el: HTMLElement | Element, cls: string): void;
export declare function removeClass(el: HTMLElement | Element, cls: string): void;
export declare const composeEventHandlers: <E>(theirsHandler?: ((event: E) => boolean | void) | undefined, oursHandler?: ((event: E) => void) | undefined, { checkForDefaultPrevented }?: {
    checkForDefaultPrevented?: boolean | undefined;
}) => (event: E) => void;
/**
 * 使容器滚动到目标元素位置
 * @param container 容器
 * @param selected 目标点
 * @returns
 */
export declare function scrollIntoView(container: HTMLElement, selected: HTMLElement): void;
export declare const getScrollBarWidth: () => number;
/**
 * Determine if the testing element is visible on screen no matter if its on the viewport or not
 */
export declare const isVisible: (element: HTMLElement) => boolean;
/**
 * @desc Determine if target element is focusable
 * @param element {HTMLElement}
 * @returns {Boolean} true if it is focusable
 */
export declare const isFocusable: (element: HTMLElement) => boolean;
export declare const obtainAllFocusableElements: (element: HTMLElement) => HTMLElement[];
export declare const getClientXY: (event: MouseEvent | TouchEvent | Event) => {
    clientX: number;
    clientY: number;
};
/**
 * 判断元素是否在容器中
 * @param el 元素
 * @param container 容器
 * @returns boolean
 */
export declare const isInContainer: (el?: Element, container?: Element | Window) => boolean;
export declare const NOOP: () => void;
/**
 * Generate uuid
 * @returns uuid
 */
export declare const generateUUID: () => string;
